Package oracle.jdbc.diagnostics

## Class OracleLogRecord

- java.lang.Object
- - java.util.logging.LogRecord
  - - oracle.jdbc.diagnostics.OracleLogRecord

All Implemented Interfaces:
  `java.io.Serializable`

    public class OracleLogRecord
    extends java.util.logging.LogRecord

An extended `LogRecord`, which provides additional information captured in the trace records.

See Also:
  Serialized Form

### Constructor Summary

Constructors
`OracleLogRecord​(java.util.logging.Level level, oracle.jdbc.diagnostics.SecurityLabel label, oracle.jdbc.diagnostics.ImmutableTraceAttributes attributes, java.lang.String msg)` Create an OracleLogRecord with a Level and a set of ConnectionAttributes.

### Method Summary

All Methods Instance Methods Concrete Methods
`oracle.jdbc.diagnostics.SecurityLabel` `getSecurityLabel()` Get the `SecurityLabel` of this logging event.
`java.lang.String` `getThreadName()` Get the thread name of this logging event.
`oracle.jdbc.diagnostics.TraceAttributes` `getTraceAttributes()`
`void` `setThreadName​(java.lang.String threadName)` Set the thread name of this logging event.
`void` `setTraceAttributes​(oracle.jdbc.diagnostics.ImmutableTraceAttributes attributes)`

### Methods inherited from class java.util.logging.LogRecord

`getInstant, getLevel, getLoggerName, getMessage, getMillis, getParameters, getResourceBundle, getResourceBundleName, getSequenceNumber, getSourceClassName, getSourceMethodName, getThreadID, getThrown, setInstant, setLevel, setLoggerName, setMessage, setMillis, setParameters, setResourceBundle, setResourceBundleName, setSequenceNumber, setSourceClassName, setSourceMethodName, setThreadID, setThrown`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### OracleLogRecord

    public OracleLogRecord​(java.util.logging.Level level,
                           oracle.jdbc.diagnostics.SecurityLabel label,
                           oracle.jdbc.diagnostics.ImmutableTraceAttributes attributes,
                           java.lang.String msg)

Create an OracleLogRecord with a Level and a set of ConnectionAttributes.

Parameters:
  `level` -
  `attributes` -

### Method Detail

#### setTraceAttributes

    public void setTraceAttributes​(oracle.jdbc.diagnostics.ImmutableTraceAttributes attributes)

#### getTraceAttributes

    public oracle.jdbc.diagnostics.TraceAttributes getTraceAttributes()

#### setThreadName

    public void setThreadName​(java.lang.String threadName)

Set the thread name of this logging event.

#### getThreadName

    public java.lang.String getThreadName()

Get the thread name of this logging event.

#### getSecurityLabel

    public oracle.jdbc.diagnostics.SecurityLabel getSecurityLabel()

Get the `SecurityLabel` of this logging event.